Bug 236250 - [PATCH] security/gcr: add DOCS option
Summary: [PATCH] security/gcr: add DOCS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 13:41 UTC by rozhuk.im
Modified: 2020-12-22 18:16 UTC (History)
5 users (show)

See Also:
rozhuk.im: maintainer-feedback-
rozhuk.im: merge-quarterly?


Attachments
gtkdoc opt (9.36 KB, patch)
2019-03-05 13:41 UTC, rozhuk.im
no flags Details | Diff
patch (8.88 KB, patch)
2020-03-14 03:43 UTC, rozhuk.im
no flags Details | Diff
patch (8.59 KB, patch)
2020-11-01 03:41 UTC, rozhuk.im
no flags Details | Diff
patch (8.54 KB, patch)
2020-12-21 05:46 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-03-05 13:41:03 UTC
Created attachment 202579 [details]
gtkdoc opt
Comment 1 rozhuk.im 2019-04-18 09:10:03 UTC
maintainer timeout
Comment 2 Steve Wills freebsd_committer 2019-05-07 11:43:57 UTC
This should be DOCS, not GTKDOC.
Comment 3 rozhuk.im 2020-03-14 03:43:23 UTC
Created attachment 212400 [details]
patch
Comment 4 rozhuk.im 2020-11-01 03:41:49 UTC
Created attachment 219269 [details]
patch
Comment 5 Neel Chauhan freebsd_committer 2020-11-01 21:34:01 UTC
A comm ent, the BUILD_DEPENDS=gtk-doc>0:textproc/gtk-doc, it should be:

DOCS_BUILD_DEPENDS= gtk-doc>0:textproc/gtk-doc

I am just a contributor, not a committer, sorry.
Comment 6 rozhuk.im 2020-11-02 08:52:11 UTC
(In reply to Neel Chauhan from comment #5)

I do not know who is committer for this staff, gnome@FreeBSD.org is dead.
Comment 7 rozhuk.im 2020-12-21 03:57:27 UTC
maintainer timeout
Comment 8 Tobias C. Berner freebsd_committer 2020-12-21 05:29:19 UTC
Moin moin 

share/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml 

does not belong in the plist, it should be added via GLIB_SCHEMA.

mfg Tobias
Comment 9 rozhuk.im 2020-12-21 05:46:43 UTC
Created attachment 220772 [details]
patch

done
Comment 10 commit-hook freebsd_committer 2020-12-22 18:15:24 UTC
A commit references this bug:

Author: tcberner
Date: Tue Dec 22 18:14:32 UTC 2020
New revision: 558932
URL: https://svnweb.freebsd.org/changeset/ports/558932

Log:
  security/gcr: add DOCS option

  PR:		236250
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/security/gcr/Makefile
  head/security/gcr/pkg-plist
Comment 11 Tobias C. Berner freebsd_committer 2020-12-22 18:16:47 UTC
Committed, thanks.